Package net.commoble.jumbofurnace.advancements

# Class AssembleJumboFurnaceTrigger

java.lang.Object
net.minecraft.advancements.critereon.SimpleCriterionTrigger<AssembleJumboFurnaceTrigger.Criterion>
net.commoble.jumbofurnace.advancements.AssembleJumboFurnaceTrigger

All Implemented Interfaces:
  `net.minecraft.advancements.CriterionTrigger<AssembleJumboFurnaceTrigger.Criterion>`

public class AssembleJumboFurnaceTrigger extends net.minecraft.advancements.critereon.SimpleCriterionTrigger<AssembleJumboFurnaceTrigger.Criterion>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final record`
`AssembleJumboFurnaceTrigger.Criterion`

## Nested classes/interfaces inherited from class net.minecraft.advancements.critereon.SimpleCriterionTrigger

`net.minecraft.advancements.critereon.SimpleCriterionTrigger.SimpleInstance`

## Nested classes/interfaces inherited from interface net.minecraft.advancements.CriterionTrigger

`net.minecraft.advancements.CriterionTrigger.Listener<T extends net.minecraft.advancements.CriterionTriggerInstance>`

## Constructor Summary

Constructors
Constructor
Description
`AssembleJumboFurnaceTrigger()`

## Method Summary

Modifier and Type
Method
Description
`com.mojang.serialization.Codec<AssembleJumboFurnaceTrigger.Criterion>`
`codec()`
`void`
`trigger(net.minecraft.server.level.ServerPlayer player)`

### Methods inherited from class net.minecraft.advancements.critereon.SimpleCriterionTrigger

`addPlayerListener, removePlayerListener, removePlayerListeners, trigger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.advancements.CriterionTrigger

`createCriterion`

## Constructor Details

### AssembleJumboFurnaceTrigger

public AssembleJumboFurnaceTrigger()

## Method Details

### codec

public com.mojang.serialization.Codec<AssembleJumboFurnaceTrigger.Criterion> codec()

### trigger

public void trigger(net.minecraft.server.level.ServerPlayer player)